PHP Warning: Module 'imagick' already loaded in Unknown on line 0

php warning module 'mysql' already loaded in unknown on line 0
php warning: module 'imagick' already loaded in unknown on line 0
php warning: module 'json' already loaded in unknown on line 0
php warning: module 'mcrypt' already loaded in unknown on line 0
laravel php warning module pgsql already loaded in unknown on line 0
php warning: module 'pdo' already loaded in unknown on line 0
php warning module 'openssl' already loaded in unknown on line 0
php warning: module 'soap' already loaded in unknown on line 0

I have a simple test file where the only php codes are:

if (isset($_REQUEST['back']) && ($back != '')) { $back = $_REQUEST['back']; }
$filename = 'images/'.$back.'.jpg';
$file = (file_exists($filename)) ? $back : 'back1';

Now each time I run the file, I get this line added PHP Warning: Module 'imagick' already loaded in Unknown on line 0 in my error log. Any suggestion please ?

open your php.ini file and comment this

;extension=imagick.so

this resolved my problem

Description Due to the latest upgrade with brew upgrade command, I started to get weird PHP warnings - see logs below Context and Logs  PHP Warning:  Module 'mysql' already loaded in Unknown on line 0 This warning happens when there is PHP extension loaded more than once. To fix this problem, check /etc/php5/apache2/php.ini file and the corresponding module configuration file in /etc/php5/conf.d/.

After installing the imagick extension for PHP. When i perform php-fpm -v, I had the same problem, as follows:

[root@localhost]# php-fpm -v
[10-Oct-2018 16:00:33] NOTICE: PHP message: PHP Warning:  Module 'imagick' already loaded in Unknown on line 0

Because i created echo extension=imagick.so >> php.ini and echo extension=imagick.ini manually when i installed the imagick extension for PHP. I will delete imagick.ini now, restart php. It's solve!

PHP Warning: Module 'modulename' already loaded in Unknown on line 0. This page describes how to resolve the following PHP warning:  There are two "php_intl.dll" files inside php.ini file on 872 and 968 number lines. if php warning module 'intl' already loaded in unknown on line 0 this message is focused on your CLI. Then you should have to remove the semiclone prefixes on line 872.

Just for the record as it might help others who are on shared hosting (cPanel).

I had error on shared hosting php7.2: Module 'imagick' already loaded in Unknown on line 0

In the beginning hosting provider said it was my bad configuration (running Yii2.16). But after I showed them, that all Internet related this issue to server configuration -they started to listen to me. After I proved, that there was no error on php7.1 they started to search for the error.

They confirmed, that they updated (before error) 7.2 to new version (7.2.14), what fixed some other bugs, but Imagick error started to appear. Now they found fix to that also. As they told to me - the error was in configuration of PERL modules or PEAR package, but they did not tell me the real issue.

Solution, if you are on shared hosting - talk to you provider and experiment with PHP versions (if you can change them).

I just uninstall PHP 5.6 Then I installed PHP 7.0 Im getting the following php warning PHP Warning: Module 'mcrypt' already loaded in  Once you have disabled those lines, run php -v to see if the warnings go away. Additional Info. To see which extensions are compiled-in to your PHP binary, run the following command: php -m. You can also view the configure command, which will show which extensions are enabled and compiled-in, or built as shared, dynamic modules. php -i | grep Configure

make sure you just actived imagick just once. if windows: active extension=php_imagick.dll and comment/remove like ;extension=imagick follow this tutorial

I am getting the strangest PHP error, which seems to contradict itself. For example, when I go php -v in the terminal I get: PHP Warning: Module. Description. Due to the latest upgrade with brew upgrade command, I started to get weird PHP warnings - see logs below. Context and Logs Cannot load Zend OPcache - it was already loaded PHP Warning: Module 'imagick' already loaded in Unknown on line 0 PHP Warning: Module 'intl' already loaded in Unknown on line 0 PHP Warning: Module 'mcrypt' already loaded in Unknown on line 0 PHP Warning

extension=imagick.so did not exist in my php.ini, so I solved it by re-installing imagick (3.4.4) using WHM under Home >> Software >> Module Installers - "PHP Pecl" Installer.

No more errors (so far).

I am getting this error in my error_log files, for all of my sites on my VPS; repeatable on every page load: PHP Warning: Module 'imagick'  Bug #50714: PHP Warning: Module 'oci8' already loaded in Unknown on line 0: Submitted: 2010-01-10 13:50 UTC: Modified: 2010-01-10 14:42 UTC: From: peisanangela at gmail dot com

Question : I got this error Log in CMS (Joomla and WordPress) : PHP Warning: Module 'PDO' already loaded in Unknown on line 0. Solution: First locate php.ini Warning: PHP Startup: Unable to load dynamic library 'C:\PHP\ext\php_pdo.dll' - The specified module could not be found. I've set the extension path (correctly) in php.ini and all .dll files exist in \ext\ folder.

I'm getting an error whenever I update. It's: PHP Warning: Module 'fileinfo' already loaded in Unknown on line 0 Any idea how to solve this? I removed 'extension = phalcon.so' , and added json.so and restart php7.0-fpm, but still get a warning message: PHP Warning: Module 'phalcon' already loaded in Unknown on line 0. and tried to add 'extension = phalcon.so' after 'extension = json.so', but I still get the same warning message – arjilm Jan 29 '17 at 9:48

When I run this command: composer Install I get the following output: Sensio\Bundle\DistributionBundle\Composer\ScriptHandler::installAssets Cannot load Zend OPcache - it was already loaded PHP Warning: Module 'mysqlnd' already loaded in

Comments
  • the error means that somewhere you're trying to load the module twice. Probably in the Apache configuration.
  • Thanks CFreak, but that is related to that three lines of codes somewhere. Do you see any problem here ?
  • The problem isn't those three lines. The problem is that the "imagick" library is being loaded more than once. The problem is in either in php.ini or a dl somewhere that's loading the library.